import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
* AWS Data Pipeline
*/
export interface DataAwsDatapipelinePipelineDefinitionConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/datapipeline_pipeline_definition#pipeline_id DataAwsDatapipelinePipelineDefinition#pipeline_id}
    */
    readonly pipelineId: string;
    /**
    * parameter_value block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/datapipeline_pipeline_definition#parameter_value DataAwsDatapipelinePipelineDefinition#parameter_value}
    */
    readonly parameterValue?: DataAwsDatapipelinePipelineDefinitionParameterValue[] | cdktf.IResolvable;
}
export declare class DataAwsDatapipelinePipelineDefinitionParameterObjectAttribute extends cdktf.ComplexComputedList {
    get key(): string;
    get stringValue(): string;
}
export declare class DataAwsDatapipelinePipelineDefinitionParameterObject extends cdktf.ComplexComputedList {
    get attribute(): cdktf.IResolvable;
    get id(): string;
}
export declare class DataAwsDatapipelinePipelineDefinitionPipelineObjectField extends cdktf.ComplexComputedList {
    get key(): string;
    get refValue(): string;
    get stringValue(): string;
}
export declare class DataAwsDatapipelinePipelineDefinitionPipelineObject extends cdktf.ComplexComputedList {
    get field(): cdktf.IResolvable;
    get id(): string;
    get name(): string;
}
export interface DataAwsDatapipelinePipelineDefinitionParameterValue {
}
export declare function dataAwsDatapipelinePipelineDefinitionParameterValueToTerraform(struct?: DataAwsDatapipelinePipelineDefinitionParameterValue | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/aws/d/datapipeline_pipeline_definition aws_datapipeline_pipeline_definition}
*/
export declare class DataAwsDatapipelinePipelineDefinition extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/aws/d/datapipeline_pipeline_definition aws_datapipeline_pipeline_definition} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataAwsDatapipelinePipelineDefinitionConfig
    */
    constructor(scope: Construct, id: string, config: DataAwsDatapipelinePipelineDefinitionConfig);
    get id(): string;
    parameterObject(index: string): DataAwsDatapipelinePipelineDefinitionParameterObject;
    private _pipelineId?;
    get pipelineId(): string;
    set pipelineId(value: string);
    get pipelineIdInput(): string;
    pipelineObject(index: string): DataAwsDatapipelinePipelineDefinitionPipelineObject;
    private _parameterValue?;
    get parameterValue(): DataAwsDatapipelinePipelineDefinitionParameterValue[] | cdktf.IResolvable;
    set parameterValue(value: DataAwsDatapipelinePipelineDefinitionParameterValue[] | cdktf.IResolvable);
    resetParameterValue(): void;
    get parameterValueInput(): cdktf.IResolvable | DataAwsDatapipelinePipelineDefinitionParameterValue[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
